<template>
  <section class="signup -able-scroll-">
    <div class="singup__heading">
      <div class="signup__title">
        <h1>{{$route.meta.title}}</h1>
      </div>
    </div>
    <div class="signup__box">
      <div class="signup__avatar">
        <input class="avatar-profile" type="file" accept="image/*" />
        <img class="avatar-image" src height="200" alt="Your avatar profile" />
      </div>
      <div class="signup__type">
        <h4>Type of account:</h4>
        <ul class="type-nav">
          <li class="active">
            <a class="btn" data-toggle="pill" href="#personal">Personal</a>
          </li>
          <li>
            <a class="btn" data-toggle="pill" href="#business">Business</a>
          </li>
        </ul>
      </div>
      <div class="tab-content">
        <div class="signup__form tab-pane fade in active" id="personal">
          <div class="row">
            <div class="col-md-6">
              <span class="label">Full Name</span>
              <input type="text" placeholder="Full Name" />
            </div>
            <div class="col-md-6">
              <span class="label">
                Username
                <span>(4-16 characters, A-Z, 0-9)</span>
              </span>
              <input type="text" placeholder="Username" />
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <span class="label">Email</span>
              <input type="email" placeholder="Email" />
            </div>
            <div class="col-md-6">
              <span class="label">Confirm Email</span>
              <input type="email" placeholder="Confirm Email" />
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <span class="label">Password</span>
              <input type="password" minlength="8" placeholder="Password" />
            </div>
            <div class="col-md-6">
              <span class="label">Confirm Password</span>
              <input type="password" minlength="8" placeholder="Confirm Password" />
            </div>
          </div>
          <div class="row flex-end">
            <div class="col-md-6">
              <span class="label">Location</span>
              <div class="select-wrapper" id="country">
                <select>
                  <option value="0">Select Country</option>
                  <option value="1">United States</option>
                  <option value="2">United Kingdom</option>
                </select>
                <div class="select">Select Country</div>
                <div class="select-items select-hide">
                  <div>United States</div>
                  <div>United Kingdom</div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="select-wrapper" id="city">
                <select>
                  <option value="0">Select City</option>
                  <option value="1">New York</option>
                  <option value="2">Washington</option>
                </select>
                <div class="select">Select City</div>
                <div class="select-items select-hide">
                  <div>New York</div>
                  <div>Washington</div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <span class="label">Gender</span>
              <div class="select-wrapper" id="gender">
                <select>
                  <option value="0">Select Gender</option>
                  <option value="1">Male</option>
                  <option value="2">Female</option>
                  <option value="3">Undefined</option>
                </select>
                <div class="select">Select Gender</div>
                <div class="select-items select-hide">
                  <div>Male</div>
                  <div>Female</div>
                  <div>Undefined</div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="signup__submit">
      <router-link to="/profile">
        <input class="btn" type="submit" value="Create Your Account" />
      </router-link>
    </div>
    <Footer />
  </section>
</template>

<script>
import Footer from '../Footer/Footer';
import { log } from 'util';

export default {
  name: 'SignUp',
  components: {
    Footer
  }
};
</script>

<style lang="scss">
@import './SignUp.scss';
</style>